kgraphviewer (4:26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Sun, 07 Jun 2026 10:29:10 +0100

kgraphviewer (4:26.04.1-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.1)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2026 11:55:14 +0100

kgraphviewer (4:26.04.0-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 07 May 2026 06:35:24 +0100

kgraphviewer (4:26.04.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Update project homepage.
  * Add lintian override for not shipping a manual, there’s none
    upstream and the program has a very limited set of arguments.
  * Switch to debian/watch format version 5.
  * New upstream release (26.04.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.4, no change required.
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 30 Apr 2026 11:34:00 +0200

kgraphviewer (4:25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Sat, 07 Mar 2026 13:15:04 +0000

kgraphviewer (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:23:31 +0000

kgraphviewer (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:03:54 +0000

kgraphviewer (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:21:25 +0000

kgraphviewer (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:05:38 +0000

kgraphviewer (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:52:33 +0000

kgraphviewer (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:14:37 +0000

kgraphviewer (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:45:54 +0100

kgraphviewer (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:54:03 +0100

kgraphviewer (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:24:28 +0100

kgraphviewer (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:46:35 +0100

kgraphviewer (4:25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 18:11:38 +0100

kgraphviewer (4:25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:43:53 +0100

kgraphviewer (4:25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:46:49 +0100

kgraphviewer (4:25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:07:05 +0100

kgraphviewer (4:25.04.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the upstream GPG signing key to the same used in other
    release-service components.
  * CI: update/simplify configuration.
  * Update debian/copyright.
  * ACK 4:25.03.90-1.1 NMU. (Closes: #1102640)

 -- Pino Toscano <pino@debian.org>  Sat, 26 Apr 2025 08:38:11 +0200

kgraphviewer (4:25.03.90-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload.

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Apr 2025 14:18:37 +0300

kgraphviewer (4:25.03.90-1) unstable; urgency=medium

  [ Simon Quigley ]
  * New upstream release (Closes: #675033) (LP: #1757695).
  * Transition to using a dbgsym package.
  * Make myself the only Uploader and make the Debian KDE Extras team
    the Maintainer (Closes: #675033).
  * Add hardening rules and build with kf5 in debian/rules.
  * Bump debhelper compat to 11, no changes needed.
  * Bump Standards-version to 4.1.4, no changes needed.
  * Update homepage to the current one.
  * Add watch file and upstream signing key.
  * Rename libkgraphviewer2 to libkgraphviewer3.
  * Add qtbase5-dev as a runtime dependency of kgraphviewer-dev.

  [ Pino Toscano ]
  * Improve libkgraphviewer3.install to catch potential SONAME bumps.
  * Stop appending -Wall -pedantic to the CFLAGS, since there are no C sources,
    and they are used already.
  * Simplify watch file, and switch it to https.
  * Explicitly add the pkgconf build dependency.
  * Remove unused ${shlibs:Depends} substvar from kgraphviewer-dev.
  * Make sure the ${misc:Depends} substvar is used in all the binaries.
  * Improve the dependencies:
    - remove the kgraphviewer dependency in libkgraphviewer3, since it is the
      other way round (i.e. kgraphviewer uses the library)
    - tighten the libkgraphviewer3 dependency in kgraphviewer
  * Make sure that the watch file can catch versions with a-z characters too
    (needed for 2.4.3a).
  * Remove the libkf5kio-dev build dependency, no more required by the upstream
    build system.
  * Bump Standards-version to 4.7.0, no changes required.
  * Remove dbgsym migration, since the -dbg package was never in Debian.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
    - stop passing --fail-missing to dh_missing, as it is the default now
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Add Rules-Requires-Root: no.
  * Add the configuration for the CI on salsa.

  [ Aurélien COUDERC ]
  * Move the package under the main Qt/KDE team’s umbrella now that it’s
    part of KDE Gear.
  * Update watch file to match new download location as part of Gear
    releases.
  * Add/update Albert Astals Cid’s master key’s key in upstream keyring.
  * New upstream release (25.03.90).
  * Build against Qt6, update build-deps and deps with the info from cmake.
  * Use upstream soname libkgraphviewer0, update the list of installed
    files.
  * Switch to declarative KF6 debhelper build sequence.
  * Split documentation into it’s own -doc package.
  * Review copyright information.
  * Bump Standards-Version to 4.7.2, no change required.
  * Add myself to the uploaders.
  * Simplify package descriptions.
  * Add lintian overrides for old FSF license text having the old FSF
    address.

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 07 Apr 2025 22:54:33 +0200

kgraphviewer (4:2.1.90-0ubuntu3) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:30:57 +0000

kgraphviewer (4:2.1.90-0ubuntu2) wily; urgency=medium

  * Change build dependency libboost1.55-dev to libboost-dev to facilitate
    gcc5 transition.

 -- Harald Sitter <sitter@kde.org>  Fri, 14 Aug 2015 15:35:52 +0200

kgraphviewer (4:2.1.90-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 26 Jun 2014 06:06:04 -0700

kgraphviewer (4:2.1.1-0ubuntu2) quantal; urgency=low

  * Build with boost1.49

 -- Scott Kitterman <scott@kitterman.com>  Tue, 29 May 2012 09:53:15 -0400

kgraphviewer (4:2.1.1-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Remove debian/patches/doctype_version.patch (incorporated upstream)
  * Build with boost1.46
  * Update debian/rules to match current KDE package best practices

 -- Scott Kitterman <scott@kitterman.com>  Fri, 05 Aug 2011 18:04:53 -0400

kgraphviewer (4:2.0.2-kde4.4.0-0ubuntu4) natty; urgency=low

  * Build with boost1.42

 -- Scott Kitterman <scott@kitterman.com>  Sat, 16 Oct 2010 14:01:50 -0400

kgraphviewer (4:2.0.2-kde4.4.0-0ubuntu3) maverick; urgency=low

  * Bump the doctype version to 4.2 in all index.docbook (fixes FTBFS).

 -- Michael Bienia <geser@ubuntu.com>  Mon, 09 Aug 2010 19:09:13 +0200

kgraphviewer (4:2.0.2-kde4.4.0-0ubuntu2) maverick; urgency=low

  * Rebuild for new graphviz package name changes.
  * debian/control: Add graphviz to depends. (LP: #432356)

 -- Andreas Wenning <awen@awen.dk>  Sun, 23 May 2010 20:42:28 +0200

kgraphviewer (4:2.0.2-kde4.4.0-0ubuntu1) lucid; urgency=low

  * New upstream release
    - Bump compat to 7
    - Bump build-depends and Standards-version
    - Source format 3.0
    - Build againsta libphonon-dev
    - Drop cdbs
    - Build with dh --with kde in rules
    - Add pkg-kde-tools to build-depends
    - Drop debian/patches went to upstream
    - Add ${misc:Depends} to depends

 -- Alessandro Ghersi <alessandro-ghersi@kubuntu.org>  Fri, 12 Feb 2010 22:41:08 +0100

kgraphviewer (4:2.0.2-kde4.3.0-0ubuntu4) lucid; urgency=low

  * Build with boost 1.40.

 -- Michał Zając <michal.zajac@gmail.com>  Thu, 17 Dec 2009 16:56:59 +0100

kgraphviewer (4:2.0.2-kde4.3.0-0ubuntu3) karmic; urgency=low

  * Correct build-dep on libgraphviz-dev to actually be libgraphviz-dev

 -- Scott Kitterman <scott@kitterman.com>  Thu, 20 Aug 2009 11:25:25 -0400

kgraphviewer (4:2.0.2-kde4.3.0-0ubuntu2) karmic; urgency=low

  * Build using kde.mk from pkg-kde-tools

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 15:28:18 +0100

kgraphviewer (4:2.0.2-kde4.3.0-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Add build-dep on libgraphviz-dev
  * Build with boost 1.38
  * Add patch kubuntu_01_convert_string.diff, keeps GCC happy

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 15:01:51 +0100

kgraphviewer (4:2.0.2-kde4.2.0-0ubuntu3) karmic; urgency=low

  * use boost 1.85

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Aug 2009 14:50:13 +0100

kgraphviewer (4:2.0.2-kde4.2.0-0ubuntu2) jaunty; urgency=low

  * Drop kgraphviewer-kde4 transitional package
    - Remove from debian/control
    - Remove debian/kgraphviewer.install
  * Change build-dep on libboost-dev to libboost1.35-dev for the boost1.35
    transition

 -- Scott Kitterman <scott@kitterman.com>  Wed, 04 Feb 2009 00:52:09 -0500

kgraphviewer (4:2.0.2-kde4.2.0-0ubuntu1) jaunty; urgency=low

  * New upstream release

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 27 Jan 2009 22:30:48 -0500

kgraphviewer (4:2.0.2-kde4.1.2-0ubuntu1) intrepid; urgency=low

  * New upstream release

 -- Guillaume Martres <smarter@ubuntu.com>  Sat, 27 Sep 2008 17:02:43 +0200

kgraphviewer (4:2.0.2-kde4.1.1-0ubuntu2) intrepid; urgency=low

  * Updated rules, rebuild with new kdelibs

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 03 Sep 2008 10:29:45 -0400

kgraphviewer (4:2.0.2-kde4.1.1-0ubuntu1) intrepid; urgency=low

  * New upstream release
  * Removed debian/cdbs dir, using cdbs kde4.mk

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 30 Aug 2008 21:38:37 -0400

kgraphviewer (4:2.0.2-kde4.1.0-0ubuntu2) intrepid; urgency=low

  * Added kgraphviewer.install file

 -- Steve Stalcup <vorian@ubuntu.com>  Thu, 31 Jul 2008 23:00:24 -0400

kgraphviewer (4:2.0.2-kde4.1.0-0ubuntu1) intrepid; urgency=low

  * New upstream release, 4.1 final

 -- Steve Stalcup <vorian@ubuntu.com>  Sat, 26 Jul 2008 21:30:45 -0400

kgraphviewer (4:2.0.2-kde4.0.98-0ubuntu3) intrepid; urgency=low

  * Added epoch version 4 to maintain upstream versions

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 15 Jul 2008 22:25:41 -0400

kgraphviewer (2.0.2-kde4.0.98-0ubuntu2) intrepid; urgency=low

  * Add transitional package kgraphviewer-kde4 -> kgraphviewer

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 14 Jul 2008 22:01:01 -0400

kgraphviewer (2.0.2-kde4.0.98-0ubuntu1) intrepid; urgency=low

  * New upstream release (LP: #248548)
  * debian/control: added Replaces: kgraphviewer-kde4
  * bumped standards version to 3.8.0

 -- Steve Stalcup <vorian@ubuntu.com>  Mon, 14 Jul 2008 18:44:36 -0400

kgraphviewer (2.0.2-kde4.0.83-0ubuntu1) intrepid; urgency=low

  * New upstream version

 -- Richard Birnie <Arbyuk@googlemail.com>  Fri, 27 Jun 2008 07:19:31 +0000

kgraphviewer (2.0.2kde4.0.80-0ubuntu1) intrepid; urgency=low

  * New minor upstream release
  * Dropped -kde4 from package name
  * Dropped creation of binary wrapper from debian/rules

 -- Richard Birnie <Arbyuk@googlemail.com>  Tue, 10 Jun 2008 20:25:32 +0100

kgraphviewer-kde4 (4:2.0-0ubuntu2) hardy; urgency=low

  * New minor upstream release

 -- Richard A. Johnson <nixternal@kubuntu.org>  Mon, 03 Mar 2008 17:29:20 -0600

kgraphviewer-kde4 (4:2.0-0ubuntu1) hardy; urgency=low

  * New upstream release
  * Updated kde.mk
  * Bumped kdelibs5-dev and kdepimlibs5-dev deps to 4:4.0.1

 -- Richard A. Johnson <nixternal@kubuntu.org>  Mon, 04 Feb 2008 17:37:22 -0600

kgraphviewer-kde4 (4.0.0-0ubuntu1) hardy; urgency=low

  * Initial release for Ubuntu, merge from Debian, Ubuntu changes are:
    - cdbs/kde.mk: updated installation locations and removed rpath
    - debian/control: updated Maintainer according to Ubuntu specs
    - debian/control: renamed package to kgraphviewer-kde4
    - debian/control: added homepage
    - debian/control: added kdepimlibs5-dev and libphonon-dev to build-deps
    - debian/rules: added KDE 4 magic foo
  * New upstream release

 -- Richard A. Johnson <nixternal@kubuntu.org>  Wed, 09 Jan 2008 22:40:24 -0600

kgraphviewer (3.97.0-1) experimental; urgency=low

  * New upstream release.
  * Build depend on kdebase-workspace-dev >= 4:3.97.0.
  * Update installed files.
  * Add new package extragear-plasma-l10n for localization files.
  * Remove dependency on sharutils. Not needed anymore.
  * Add export LDFLAGS+="-Wl,--as-needed" in rules to make dpkg-shlibdeps
    happier.
  * Update Standards-Version to 3.7.3.

 -- Armin Berres <trigger+debian@space-based.de>  Sat, 08 Dec 2007 00:05:24 +0000
